Subject: Re: throughput question

From: Matt Porter <[email-masked]>
Date: Tue, 28 Sep 2004 06:50:26 -0700

On Tue, Sep 28, 2004 at 03:33:16PM +0200, Marc Leeman wrote:
> I see some mails passing over the list about gigabit interfaces, so I
> wonder if there are any suggestions as to what processor/interface
> should be used for high througput.
> 
> I am currently working on a 8245 based board with 2.4.27 e100 driver
> and when taking in (and processing streams), only about 50 Mbps can be
> handled: about half of the time is based in kernel space (handling
> interrupts).
> 
> The eepro100 driver was much worse.
> 
> As a result, I am a bit wondering about the higher bitrates. How much
> do you achieve on tests with what hardware?

What benchmark do you use to measure throughput? Since you are
processing streams sounds like you have an application-based
benchmark rather than one of the typical ones. You can probably
show the good throughput if you pick another benchmark, but it
probably won't answer your system design question.

-Matt